--- 4.5.8/exim.conf-SpamBlockerTechnology-v4.5.8.txt	2018-03-09 20:44:21.000000000 -0600
+++ 4.5.9/exim.conf-SpamBlockerTechnology-v4.5.9.txt	2018-06-28 22:12:26.000000000 -0500
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.8
-# September 22, 2017
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.9
+# April 13, 2018
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 21 or higher
@@ -249,7 +249,7 @@
   .include_if_exists /etc/exim.acl_check_helo.pre.conf
 
   # accept mail originating on this server unconditionally
-  accept  hosts = @[] : @
+  accept  hosts = <; @[]; 127.0.0.0/8 ; ::1 ; @
   # deny if the HELO pretends to be this host
     deny message = HELO_HOST_IMPERSANATION
       condition = ${if or { \
@@ -527,6 +527,14 @@
 ######################################
 # ACL that is used after the DATA command (ClamAV)
 acl_check_message:
+
+  .include_if_exists /etc/exim.acl_check_message.pre.conf
+
+#EDIT#46.1#T9653
+  warn    condition       = ${if !def:h_Message-ID: {yes}{no}}
+          message         = Adding Message-ID header because it is missing!
+          add_header      = Message-ID: <GENERATED-WASMISSING-$message_exim_id@$primary_hostname>
+
   accept  condition = ${if eq{$acl_m_is_whitelisted}{1}{1}{0}}
 
   .include_if_exists /etc/exim.easy_spam_fighter/check_message.conf
@@ -534,8 +542,9 @@
 #EDIT#46:
 #.include_if_exists /etc/exim.clamav.conf
 
-  accept
+  .include_if_exists /etc/exim.acl_check_message.post.conf
 
+  accept
 
 ######################################
 # ACL that is used for each MIME attachment in the email.
